modify plugin com.appiancorp.ps.plugins.downloaddatasubsetfromrule-1.1.0 requested by appian cloud

we are going to migrate our applications to Appian cloud. we have to modify some plugins to make them compatible with Appian cloud even include Appian developed plugins. 

When I import this plugin to eclipse, there are two import reference can't be resolved. 

i can see com.appiancorp.core.expr.AppianScriptContext; is from appian-common.jar but com.appiancorp.core.expr.AppianScriptContextBuilder can't be resolved.

Another is about typetransformer-1.3.jar. I have imported this jar but still has the compile error. 

 Discussion posts and replies are publicly visible